﻿using DataBindByINotifyPropertyChangedSample.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataBindByINotifyPropertyChangedSample
{
    /// <summary>
    /// MainWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnShow_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show($"Name: {tbxLastName.Text} {tbxFirstName.Text}");
        }

        private void btnChange_Click(object sender, RoutedEventArgs e)
        {
            UserViewModel vm = this.DataContext as UserViewModel;
            if (vm == null)
                return;

            vm.FirstName = "길동";
            vm.LastName = "홍";
        }
    }
}
