﻿namespace AnonymousMethod
{
    internal class Program
    {
        private delegate void TestDelegate();

        static void Main(string[] args)
        {
            DoTest();
        }

        private static void DoTest()
        {
            TestDelegate t = delegate() {
                Console.WriteLine("Anonymous method by delegate");
            };

            t += () =>
            {
                Console.WriteLine("Anonymous method by lambda");
            };

            t();
        }
    }
}